package com.njcn.product.system.dict.pojo.enums;

import lombok.Getter;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2021/8/5 21:56
 */
@Getter
public enum DicDataTypeEnum {
    /**
     * 字典类型名称
     */
    FRONT_TYPE("前置类型","Front_Type"),
    POWER_CATEGORY("电源类别","Power_Category"),
    POWER_STATION_TYPE("电站类型","Power_Station_Type"),
    POWER_GENERATION("发电方式","Power_Generation"),
    CONNECTION_MODE("能源消纳方式","Connection_Mode"),
    ECC_STAT("用电客户状态","Ecc_Stat"),
    DEV_TYPE("终端型号","Dev_Type"),
    DEV_VARIETY("终端类型","Dev_Variety"),
    DEV_FUN("终端功能","Dev_Fun"),
    DEV_STATUS("终端状态","Dev_Status"),
    DEV_LEVEL("终端等级","Dev_Level"),
    DEV_CONNECT("接线方式","Dev_Connect"),
    DEV_MANUFACTURER("制造厂商","Dev_Manufacturers"),
    //电压等级用于pms区分交直流
    DEV_VOLTAGE("电压等级","Dev_Voltage"),
    //标准电压等级用于pq不区分交直流
    DEV_VOLTAGE_STAND("标准电压等级","Dev_Voltage_Stand"),
    PANORAMIC_VOLTAGE("全景电压等级","Panoramic_voltage"),
    EVENT_REASON("暂降原因","Event_Reason"),
    EVENT_TYPE("暂降类型","Event_Type"),
    BUSINESS_TYPE("行业类型","Business_Type"),
    INTERFERENCE_SOURCE_TYPE("干扰源类型","Interference_Source"),
    ALARM_TYPE("告警类型","alarm_Type"),
    DEV_OPS("运维日志","Dev_Ops"),
    INDICATOR_TYPE("指标类型","Indicator_Type"),
    COMMUNICATE_TYPE("通讯类型","Communicate_Type"),
    RATE_TYPE("费率类型","Rate_Type"),
    ELE_LOAD_TYPE("用能负荷类型","Ele_Load_Type"),
    ELE_STATISTICAL_TYPE("用能统计类型","Ele_Statistical_Type"),
    REPORT_TYPE("自定义报表类型","Report_Type"),
    LINE_MARK("监测点评分等级","Line_Grade"),
    LINE_TYPE("监测点类型","Line_Type"),
    STEADY_STATIS("稳态统计指标","Steady_Statis"),
    EVENT_STATIS("暂态指标","Event_Statis"),
    MONITORING_LABELS("监测点标签","Monitoring_Labels"),
    POLLUTION_STATIS("污区图统计类型","Pollution_Statis"),
    POLLUTION_CALC("谐波污染值","Pollution_Calc"),
    BENCHMARK_INDICATORS("基准水平评价指标","Benchmark_Indicator"),
    LINE_SORT("监测点类别","Line_Sort"),
    DATA_TYPE("数据类型","Data_Type"),
    PERMEABILITY_TYPE("分布式光伏台区渗透率水平","Permeability_Type"),
    ON_NETWORK_STATUS("报告状态","On-network_Status"),
    AUDIT_STATUS("审核状态","Audit_Status"),
    FILL_PROGRESS("填报进度","Fill_Progress"),
    PROBLEM_SOURCES("问题来源","Problem_Sources"),
    AREA_PQ_EVENT_TYPE("台区电能质量事件类型","area_pq_event_type"),
    LINE_STATE("监测点状态","Line_State"),
    DEVICE_STATUS("设备状态","Device_Status"),
    //INTERFERENCE_SOURCE("监测对象类别","Interference_Source"),
    PLAN_TAKE("计划采取实施","Plan_Take"),
    MONITOR_OBJ("监测对象","Monitor_Obj"),
    CONNET_GROUP_WAY("牵引站变压器接线方式","Connet_Group_Way"),
    WORK_ORDER_STATUS("工单状态","Work_Order_Status"),
    PROBLEM_TYPE("问题类型","Problem_Type"),
    CHECK_STATUS("审核状态","Check_Status"),
    CHECK_RESULT("审核处理","Check_Result"),
    WORK_ORDER_PROCESS("工单流程","Work_Order_Process"),
    ASSESS_RESULT("评估结果","Assess_Result"),
    WORK_ORDER_TYPE("工单类型","Work_Order_Type"),

    PRIMARY_TYPE("一级业务类型","Primary_Type"),
    DEV_CLASS("终端类型(治理)","Dev_Class"),
    CS_STATISTICAL_TYPE("治理统计类型","Cs_Statistical_Type"),
    LINE_POSITION("监测点位置","Line_Position"),
    ALARM_LEVEL("警告级别","Alarm_Level"),


    CS_DATA_TYPE("数据模型类别", "Cs_Data_Type"),
    PROBLEM_INDICATORS("问题指标","Problem_Indicators"),


    //pms
    DEV_CATEGORY("装置类别","Device_Category"),
    DEV_GRADE("终端等级","Dev_Level"),
    INPUT_SIGNAL("测量信号输入形式","Signal_form"),
    VOLTAGE_TRANSFORMER("电压互感器类型","Voltage_Transformer"),
    Neutral_Point("中性点接地方式","Neutral_Point"),
    DEVICE_REGIONLYPE("设备地区特征","Device_RegionLype"),
    DEVICE_USERNATURE("设备使用性质代码","Device_UseNature"),
    SUPV_TYPE("监督类型","supv_type"),
    SUPV_OBJ_TYPE("监督对象类型","supv_obj_type"),

    evaluation_report("评估用户或报告分类编码","evaluation_report"),

    user_class("用户分类","user_class"),

    SUPV_STAGE("监督阶段","supv_stage"),
    EFFECT_STATUS("实施状态","effect_status"),
    MONITOR_TYPE("监督监测点类型","monitor_type"),
    SUPV_PROBLEM_TYPE("监督问题类型","problem_type"),
    RECTIFICATION_MEASURE("整改方案","RectificationMeasure"),

    SUPV_PLAN_STATUS("监督计划状态","plan_status"),
    BILL_TYPE("单据类型","bill_type"),
    SPECIALITY_TYPE("所属专业","speciality_type"),
    RECTIFICATION_STATUS_TYPE("整改情况","rectification_status_type"),
    file_type("附件分类"," file_type"),
    problem_level_type("问题等级"," problem_level_type"),

    Station_Type("所属站别类型","Station_Type"),


    APP_BASE_INFORMATION_TYPE("app基础信息类型","appInformationType"),

    APP_DEVICE_EVENT_TYPE("app设备事件类型","appDeviceEventType"),

    DEVICE_UNIT("数据单位类型","Device_Unit"),
    //国网上送
    pms_disturb_type("pms国网上送干扰源类型","pms_disturb_type"),
    pms_disturb_sort("pms国网上送干扰源类别","pms_disturb_sort"),
    type_of_station("站房类型","type_of_station"),
    File_status("档案状态","File_status"),
    USER_CLASS("用户分类","User_Class"),
    IMPORTANCE_LEVEL("重要性等级","Importance_Level"),
    ELE_CLASS("用电类别","Ele_Class"),
    INDUSTRY_TYPE("行业分类","industry_type"),
    PLAN_STATUS("计划状态","plan_status"),
    APP_EVENT("APP暂态事件类型","app_event"),
    DEVICE_TYPE("治理装置类型编码","Device_Type"),

    CARRY_CAPCITY_USER_TYPE("承载能力评估用户类型","carry_capcity_user_type"),
    CARRY_CAPCITY_CONNECTION_MODE("变压器连接方式","carry_capcity_connection_mode"),

    CARRY_CAPCITYUSER_MODE("用户模式","carry_capcity_user_mode"),
    LOCAL_MUNICIPALITY("所属地市","local_municipality"),
    INDUSTRY_TYPE_JB("行业类型-冀北","industry_type_jb"),
    LOAD_LEVEL("负荷级别","load_level"),
    SUPPLY_CONDITION("供电电源情况","supply_condition"),

    JIBEI_AREA("所属地市","jibei_area"),
    Major_Nonlinear_Device("主要非线性设备类型","Major_Nonlinear_Device"),
    EVALUATION_DEPT("主要非线性设备类型","evaluation_dept"),
    EVALUATION_TYPE("评估类型","Evaluation_Type"),
    ;





    private final String name;
    private final String code;

    DicDataTypeEnum(String name,String code){
        this.name=name;
        this.code=code;
    }

}
